Skip Menu |
 

This queue is for tickets about the GD CPAN distribution.

Report information
The Basics
Id: 111695
Status: resolved
Priority: 0/
Queue: GD

People
Owner: Nobody in particular
Requestors: ray [...] guildsoftware.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Bug with gdlib-config --all minor version 33 check
Date: Tue, 2 Feb 2016 21:26:17 -0600
To: bug-GD [...] rt.cpan.org
From: Ray Ratelis <ray [...] guildsoftware.com>
Download (untitled) / with headers
text/plain 681b
There is an error in the Build.PL (and Makefile.PL) script that checks for a specific version of libGD using gdlib-config --all to add functionality, mainly (for me) adding a VERSION_33 #define when compiling the library. The most recent version of libGD is 2.1.1. The VERSION_33 check looks at the build number (third number, which is mistakenly called minor version) and compares it against 33. It should check the Major version of >= 2 and then Minor version of >0 or Minor version ==0 and build >= 33. This problem is causing the resolution parameter to not be used by the stringFT function. I'm sorry if this has already been reported. - Ray Ratelis Guild Software, Inc.
Yes, Fixed in RURBAN/GD-2.56_03.tar.gz and the upcoming official GD-2.57 -- Reini Urban


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.